### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-news-ticker/ecl-news-ticker-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-news-ticker-item`
templateUrl | `./ecl-news-ticker-item.component.html`

### Index

###### Properties

- ariaHidden
- eclLink
- Public el
- role
- tabindex

###### Methods

- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- attr.aria-hidden
- attr.role
- attr.tabindex
- class

###### Accessors

- cssClasses

### Constructor

`constructor(el: ElementRef)`

Parameters :

Name | Type | Optional
el | `ElementRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.aria-hidden
Type : `boolean`
Default value : `true`

attr.role
Type : `string`
Default value : `'listitem'`

attr.tabindex
Type : `string`
Default value : `'-1'`

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

ariaHidden
Default value : `true`
Decorators : `@HostBinding('attr.aria-hidden')`

eclLink
Type : `EclLinkDirective`
Decorators : `@ContentChild(EclLinkDirective)`

Public el
Type : `ElementRef`

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`

tabindex
Type : `string`
Default value : `'-1'`
Decorators : `@HostBinding('attr.tabindex')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""